Search Unity

  1. Unity 2019.1 beta is now available.
    Dismiss Notice
  2. The Unity Pro & Visual Studio Professional Bundle gives you the tools you need to develop faster & collaborate more efficiently. Learn more.
    Dismiss Notice
  3. We're looking for insight from anyone who has experience with game testing to help us better Unity. Take our survey here. If chosen to participate you'll be entered into a sweepstake to win an Amazon gift card.
    Dismiss Notice
  4. On February 28th the Feedback website will shut down and be redirected to the Unity forums. See the full post for more information.
    Dismiss Notice
  5. Want to provide direct feedback to the Unity team? Join the Unity Advisory Panel.
    Dismiss Notice
  6. Unity 2018.3 is now released.
    Dismiss Notice
  7. Improve your Unity skills with a certified instructor in a private, interactive classroom. Watch the overview now.
    Dismiss Notice

Error building Vuforia Core Samples on Android

Discussion in 'Vuforia' started by scionuait, Sep 25, 2017.

  1. scionuait

    scionuait

    Joined:
    Jun 9, 2017
    Posts:
    1
    Hi,

    i alredy download Vuforia Core Samples from Asset Store.
    I install Unity 2017.2.0b2 (64-bit) version with Vuforia pack.

    Player Editor plays well, but meet 64error when building android version:Assets/Common/CameraSettings.cs(11,7): error CS0246: The type or namespace name `Vuforia' could not be found...
    Are you missing an assembly reference?

    Can developer help to solve this issue?

    Error building Player because scripts had compiler errors
     
  2. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    Hi scionuait,
    Can you make sure that you have checked the "Vuforia Augmented Reality Supported" box in Player Settings -> XR Settings? Without this checked the Vuforia libraries will not be found.
    Thanks!
     
    ValentinMalmgren and BeauWorlds like this.
  3. vad710

    vad710

    Vuforia

    Joined:
    Dec 22, 2013
    Posts:
    13
    That's also a pretty old beta build - you may wanna try to download RC1 that is now available.
     
  4. ibarpmx

    ibarpmx

    Joined:
    Sep 27, 2017
    Posts:
    2
    I just downloaded the latest beta build and I'm getting this errors: Screen Shot 2017-09-26 at 10.41.01 PM.png

    Any sugestions?
     
  5. kdorland

    kdorland

    Joined:
    Apr 6, 2017
    Posts:
    3
    I'm getting the exact same errors building for PC on Unity 2017.3.0b2.
     
  6. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    @ibarpmx @kdorland Could you use the Unity 2017.2 RC build instead? You shouldn't see that issue in the 2017.2 builds.

    Thanks!
     
  7. Ark_Tarusov

    Ark_Tarusov

    Joined:
    Jun 24, 2016
    Posts:
    19
    I downloaded the Vuforia sample from the asset repository and got exactly the same error for any platform
    upload_2017-9-29_11-10-25.png

    I'm using the latest downloadable version of Unity 2017.1.1f1 (64-bit)
     
  8. kdorland

    kdorland

    Joined:
    Apr 6, 2017
    Posts:
    3
    Thanks! That fixed it. Sticking with 2017.2 for now.
     
    Vuforia-Strasza likes this.
  9. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    @Airy-Cat The samples are meant for 2017.2, not 2017.1. Could you download the latest 2017.2 release candidate and try the samples there please?

    Thanks!
     
  10. symbell

    symbell

    Joined:
    May 19, 2013
    Posts:
    7
    I've installed latest version of Unity3D (2017.3.0b2) , in settings -> XR it has a link to download Vuforia setup installer, I'm trying to install it and its giving an error :(
    Screen Shot 2017-09-30 at 2.35.10 PM.png
    Why you guys don't leave previous samples there as Unity and all other organizations do, why you force us to us what you want and we don't have any choice left?
     
  11. Ark_Tarusov

    Ark_Tarusov

    Joined:
    Jun 24, 2016
    Posts:
    19
    Latest available version for download
    upload_2017-10-2_9-20-56.png
     
  12. Ark_Tarusov

    Ark_Tarusov

    Joined:
    Jun 24, 2016
    Posts:
    19
    I downloaded the beta version of 2017.2, and it all worked. It's bad that the sample application was not created for the release version.
     
  13. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    I apologize for that inconvenience. 2017.2 should be live and the main release version very soon.
     
  14. Ban-jason

    Ban-jason

    Joined:
    Nov 11, 2014
    Posts:
    7
    Hi, Guys. I use the 2017.2.0f3 and when i enable the "Vuforia Augmented Reality Support", I cant build Android. The log is:
    upload_2017-11-29_17-27-48.png

    Did someone meet this problem?
     
  15. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
  16. Ban-jason

    Ban-jason

    Joined:
    Nov 11, 2014
    Posts:
    7
    Before i enable the "Vuforia Augmented Reality Support", I could build an apk with empty project. But after i enable the "Vuforia Augmented Reality Support" and the editor auto improt the vuforia package I can't build an apk and show this error all the time.T T

    btw, i use jdk1.7.0_80, unity 2017.2
     
  17. Ban-jason

    Ban-jason

    Joined:
    Nov 11, 2014
    Posts:
    7
    Vuforia-Strasza likes this.
  18. edward111a

    edward111a

    Joined:
    Dec 18, 2017
    Posts:
    1
    Hi i have error in virtual button handler from vuforia core sample please help me
     
  19. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
  20. kartoonist435

    kartoonist435

    Joined:
    Feb 14, 2015
    Posts:
    16
    I am using unity 2017.2 and still getting these errors when I cloud build. I can not complete a build that was working perfectly with Vuforia 6.2 and unity 2017.1 Now I have switched everything over according to the migration guide and my project won't build please help as I need this to be completed very soon
     
  21. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    @kartoonist435 Can you please share the error you are encountering?
     
  22. virendravishth

    virendravishth

    Joined:
    Sep 12, 2016
    Posts:
    3
    I am using Unity 2017.3.0f3, Vuforia version 7.0.36. Getting similar errors. It was working fine in Unity 2018.2. But not in this version. I had to shift version of Unity from Unity2017.2 coz it was giving error of "Unsupported Texture... 0x13 with my Occulus.

    Error Messages are :
    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(22,5): error CS0246: The type or namespace name `ReconstructionBehaviour' could not be found. Are you missing an assembly reference?

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(28,12): error CS0246: The type or namespace name `PropBehaviour' could not be found. Are you missing an assembly reference?

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(29,12): error CS0246: The type or namespace name `SurfaceBehaviour' could not be found. Are you missing an assembly reference?

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(61,31): error CS0246: The type or namespace name `Prop' could not be found. Are you missing an assembly reference?

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(70,34): error CS0246: The type or namespace name `Surface' could not be found. Are you missing an assembly reference?

    Assertion failed: Assertion failed on expression: 'm_CurrentEntriesPtr != NULL && m_IsGettingEntries'
    UnityEngine.GUIUtility:processEvent(Int32, IntPtr)

    Assertion failed: Assertion failed on expression: 'm_CurrentEntriesPtr != NULL && m_IsGettingEntries'
    UnityEngine.GUIUtility:processEvent(Int32, IntPtr)

    Can you help? Thanks...
     
  23. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    Did you migrate this project from 2017.2 to 2017.3?

    Also, be aware that the Occulus is not a supported device of Vuforia.

    Thanks
     
  24. dwhit

    dwhit

    Joined:
    Jul 20, 2015
    Posts:
    1
    Hi, I am getting very similar errors as virendravishth. I am on Unity 2017.30f3 personal. I am trying to use Vuforia Hololens sample with my HoloLens. I downloaded the Vuforia HoloLens Sample from the asset store, and I am getting these errors:

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(22,5): error CS0246: The type or namespace name `ReconstructionBehaviour' could not be found. Are you missing an assembly reference?

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(28,12): error CS0246: The type or namespace name `PropBehaviour' could not be found. Are you missing an assembly reference?

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(29,12): error CS0246: The type or namespace name `SurfaceBehaviour' could not be found. Are you missing an assembly reference?

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(61,31): error CS0246: The type or namespace name `Prop' could not be found. Are you missing an assembly reference?

    Assets/Vuforia/Scripts/DefaultSmartTerrainEventHandler.cs(70,34): error CS0246: The type or namespace name `Surface' could not be found. Are you missing an assembly reference?

    I did not migrate the project from an older version of Unity, I created a new project in 2017.3 and imported the sample project from the asset store.

    I've tried some methods of fixing it, like switching the build target to UWP, and enabling VR and Vuforia AR in the XR settings, but that didn't work.
     
  25. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    @dwhit Could you share a screenshot of your Vuforia Configuration and XR settings?
     
  26. MortePCAndVR

    MortePCAndVR

    Joined:
    Jul 21, 2013
    Posts:
    14
    Vuforia Core Samples Unity Package on Asset Store has since been updated to (v7.1.30) requiring Unity 2017.3.0 or later.
    However, it does not work with Unity Personal 2017.3.0f1 or 2017.3.1f1

    I have tried importing the current Asset Store unitypackage (v7.1.30) to a new empty project in each Unity version with Vuforia XR build player settings enabled, (Android TV also needs to be disabled), however those same 'Are you missing an assembly reference?' errors all appear.
    Opening those scripts for the linked error messages shows something interesting - specifically, the
    "using Vuforia;"
    directive at the top of the scripts is greyed out - leading one to think that the Vuforia libraries are not being loaded by Unity even at precompile time.

    Surprisingly, I can get Vuforia Ground Plane to work without much effort in an empy project on Unity 2017.3.1f1
    simply by creating new gameobjects (ARCamera, Ground Plane Stage, Plane Finder) from the Vuforia menu.

    I am sad that Vuforia 7 Ground Plane is not supported on android devices older than Samsung Galaxy S6, but I guess the CPU/GPU prereqs are too high for earlier models....

    I will attempt User Defined Targets in an other empy project on Unity 2017.3.1f1 to see if that works.
    I am using this link as reference as others are still struggling with UDT in Unity 2017.3.x Vuforia 7:
    https://forum.unity.com/threads/how-to-setup-user-defined-target-in-unity-2017-2.506875/
     
    Last edited: Mar 26, 2018
  27. solanodinityanandar

    solanodinityanandar

    Joined:
    Mar 12, 2018
    Posts:
    1
    Hello
    I have an error that does not let me build the apk for android and I get this message
    How can I solve that?
    I have the version 2017.3.1.p4
    I use a mac
     

    Attached Files:

  28. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    @solanodinityanandar There is an "Android TV" support option in the Android player settings. Uncheck this box.
     
  29. ForestGirl

    ForestGirl

    Joined:
    Oct 22, 2014
    Posts:
    1
    @solanodinityanandar - more detail - macOS based Unity2017.3.1f1 in Unity Build Settings, Player Settings, Inspector Panel, Android Tab (on right), under "Other Settings" group, remove click on "Android TV Compatibility"
     
  30. byrontik

    byrontik

    Joined:
    Dec 29, 2013
    Posts:
    5

    I fixed it doing this
    developer.vuforia.com/forum/unity/20173-migration

    1. close your project
    2. make a backup of your current project by copy/pasting its folder or by relying on any source version system. (it shouldn't be useful, but who knows)
    3. under your project folder, delete the Assets/VuforiaFolder
    4. create a new empty Unity project using 2017.3
    5. in the test scene, add any object under the Vuforia submenu; Unity will tell you that it needs to import Vuforia, accept.
    6. navigate to your new project folder, then close Unity
    7. in the new project folder, go in the Assets directory and cut the Vuforia folder
    8. navigate to you project directory, go in Assets and paste the Vuforia folder there.
    9. delete the folder of the temporary project you created.
    10. Reopen your project in Unity and voila, the errors mentioned below disappeared.
    --
     
    Vuforia-Strasza likes this.
  31. JeffreyJacobson

    JeffreyJacobson

    Joined:
    Oct 6, 2014
    Posts:
    2
    @byrontik I used your sequence with Unity 2017.4.2 and it did make those errors go away! Must be something about the order in which the Vuforia objects are evaluated. Here's my version, starting a project from scratch:
    1. Create a new project in Unity 2017.4.2 and call it "Mars" because that is the topic of the Vuforia demo.
    2. Import and configure the Hololens Vuforia Example. Some of my instructions are based on this tutorial, which is unfortunately out of date: https://library.vuforia.com/articles/Solution/Working-with-the-HoloLens-sample-in-Unity.htm
      1. Open Build Settings.
      2. In the dialogue box on the left, select Universal Windows Platform
      3. On the right, set "Target Device" to Hololens and make sure Build Type is set to D3D
      4. Open Edit -> Player Settings
      5. Open the XR Settings Tab and
      6. check Virtual Reality Supported
      7. check Vuforia Augmented...
    3. Open the Asset Store window and search for "Hololens"
    4. Select and import the "Vuforia Hololens Sample"
    5. NOW we do the crazy thing byrontik discovered!
      1. Create a second, new, project.
      2. Open it in Unity,
      3. right click on the hierarchy window,
      4. select vuforia, from the pull-down list
      5. a list of vuforia objects will pop up. Select any one of them.
      6. you'll get a dialogue asking if you want to import vuforia assets. Say yes, and let it work.
      7. When it's done, close Unity for both projects.
      8. If there is a vuforia folder already in Mars/Assets, delete it.
      9. Move the Vuforia folder in <New Project>/Assets to your Mars/Assets folder.
    6. Open your Mars project again in Unity. It should digest all the Vuforia assets without error messages.
    7. IN your Projects window there should be a folder "Scenes" one of several created by importing the sample project. You'll see three scenes in there.
    8. Drag all three scenes into the Hierarchy window.
    9. Delete the previous default scene.
    10. Highlight the AR Camera
    11. Look at the Inspector. You should see "Vuforia Behavior Script" there, with a big button on it.
    12. Click the "Open Vuforia configuration" button on the Vuforia Behavior Script
    13. Copy and past your licence into the "App License Key" field. Here's how to get that key:
      • Open the Vuforia Developer portal https://developer.vuforia.com/
      • Create a free account for yourself.
      • Select the "Develop" tab.
      • Select "Get Developer Key" and answer the dialogue's questions.
      • You'll see the key in a big long text field. Copy and past the whole thing
    14. Open Build Settings again. <ctrl-shift-b>
    15. build the solution. Probably best to create a directory to hold it and all its supporting files.
    16. open the solution in Visual Studio 7.0
      • Out of time to describe these steps.
    I was able to deploy and run it on my hololens, and the program worked! It was able to pop up the figures from the mars themed images.

    But during the import almost half of the elements were flagged as being out of date in some way, usually using deprecated elements. It simply needs an update.
     
  32. liaominbau

    liaominbau

    Joined:
    May 3, 2018
    Posts:
    1
    Hi,
    I used Unity 2018 1.1f1 to import vuforia sample core then it shows this error message below.
    At the moment , my vuforia is 7.1.31. No idea how to fix this issue now.


    Assets/SamplesResources/VuforiaSamplesUI/Scripts/SamplesAboutScreenInfo.cs(77,58): error CS1061: Type `Vuforia.VuforiaRuntime' does not contain a definition for `InitializationState' and no extension method `InitializationState' of type `Vuforia.VuforiaRuntime' could be found. Are you missing an assembly reference?
     
  33. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    You'll need to upgrade to 7.1.34 or 7.1.35. You should be provided a link to do this within the Vuforia Configuration.
     
  34. o6098

    o6098

    Joined:
    Jun 5, 2018
    Posts:
    1
    Hi,
    I used Unity 2018.1.6f1, but the version is always 7.1.35.
    And I can't use the asset of store.
    FusionType is not defined.
    I tried to reinstall unity and install version 2017.3.1
    and the vuforia version is 7.0.47.
    of course the asset is fail to use.
    I don't know how to fix it.
    Thank you very much.
     

    Attached Files:

  35. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    You can download Vuforia 7.2.20 from the link shown in the Vuforia Configuration that you can see in that screenshot. Could you install that and try downloading the asset store samples?
     
  36. DonCornholio

    DonCornholio

    Joined:
    Feb 27, 2017
    Posts:
    5
    Hi !
    I've updated Vuforia to 7.2.20, using Unity 2018.1.7 without the Unity Hub. I located the right directory and pressed install. After that i get tons of Compiltation failures with missing namespace vuforia. It seems to me like the installer totally uninstalled vuforia from my unity version. I can't even add a Vuforia AR Camera or anything related.
    Can you please help me out ??
     
  37. theolagendijk

    theolagendijk

    Joined:
    Nov 12, 2014
    Posts:
    104
    Did you enable "Vuforia Augmented Reality" for your project.? ( It's under "XR Settings" in your "Player Settings". )
     
  38. cgeye

    cgeye

    Joined:
    Mar 5, 2014
    Posts:
    36
    I get an install error trying to update to 7.2.20 in Unity 2018.2.0f2. All directory names etc. are correct, but it skips the 'destination select' part of the install then throws an error
     
  39. Vuforia-Strasza

    Vuforia-Strasza

    Official Vuforia Employee Vuforia

    Joined:
    Jun 13, 2017
    Posts:
    548
    If you're using Mac you won't be prompted to select a destination. Instead the update will automatically be applied to the "Unity" directory in Applications.
     
  40. aman_unity253

    aman_unity253

    Joined:
    Jul 4, 2018
    Posts:
    1
    Hi I have an issue with the holoLens Vuforia sample of image target

    I am new to Hololens so i will explain what all i did to build the sample project

    1. Updated Vuforia to 7.2.20 for unity 2018.1.7f1
    2. Build the sample with the proper player settings
    XR settings to Windows mixed reality with Vuforia augmented reality ticked
    3. Build the .sln file using visual studios 2017
    4. Release with x86 for local machine, device and remote machine.
    For device and remote machine i am getting the debugging error
    For local machine when i tried executing the exe
    then i get the following error
    The code execution cannot proceed because vccorlib140_app.DLL was not found reinstalling the program may fix this problem.

    Reintsalling visual studios or importing the sample assets again from asset store or reinstalling entire unity again.

    For emulator build although it gets deployed on the emulator but the error pops stating that Vuforia is not supported for this device for what all i have read so far vuforia application does not work on emulator.

    Please provide me a way to run the image target sample on the hololens.

    If you can provide a step by step process to deploy and run the sample on hololens then that will be great because i have not seen my error anywhere

    If i am doing some small mistake then please point me in the right direction
     
  41. meedabit

    meedabit

    Official Vuforia Employee Vuforia

    Joined:
    Dec 8, 2016
    Posts:
    158
  42. MTDues

    MTDues

    Joined:
    Mar 27, 2014
    Posts:
    27
    Hello @Vuforia-Strasza i just started using Vuforia, however i cant compile the defult mars scene and export it to my android,

    there is nothing i added, this is your normal project
    - i created account and installed the key to vuforia conf
    - and i selected my android platform then i checked the AR support,
    - i unchecked the Android tv and android game too,
    what to do now pls?
     

    Attached Files:

  43. jazj

    jazj

    Joined:
    Sep 25, 2018
    Posts:
    2
    hye can someone help me with this message error

    "Assets/Editor/Vuforia/VideoPlaybackScripts/VideoPlaybackEditor.cs(61,39): error CS0246: The type or namespace name `VideoPlaybackBehaviour' could not be found. Are you missing an assembly reference?"
     
  44. meedabit

    meedabit

    Official Vuforia Employee Vuforia

    Joined:
    Dec 8, 2016
    Posts:
    158
    Hello @jazj,

    This API was deprecated at some point in the past (Vuforia Engine 6.5?) in lieu of Unity's VideoPlayer class in Unity 2017.3. This is now demonstrated as part of our Core Samples in one of the Image Target's prefabs.

    The Video Playback sample was not a feature of Vuforia. Rather, it is a demonstration app that provides source code to devs as a reference for creating a similar experience. Unfortunately, this can also mean that your success may vary when trying to re-use the codebase in its existing form.

    Thanks,
    Vuforia Engine Support
     
  45. jazj

    jazj

    Joined:
    Sep 25, 2018
    Posts:
    2
    nocamera.png

    hye can u help me? when i play it turn out to be like this? helpppppp
    it fine when i try on android but it takes so much patient to wait for the AR, sometimes it ok sometimes its not. help me please
     
  46. temavrn

    temavrn

    Joined:
    Sep 17, 2018
    Posts:
    3
    Unity 2017 4.19 the same problem!

    Code (CSharp):
    1. Assets/Vuforia/Scripts/DefaultInitializationErrorHandler.cs(18,50): error CS0246: The type or namespace name `VuforiaMonoBehaviour' could not be found. Are you missing an assembly reference?
    2. Assets/Vuforia/Scripts/DefaultModelRecoEventHandler.cs(18,60): error CS0246: The type or namespace name `IObjectRecoEventHandler' could not be found. Are you missing an assembly reference?
    3. Assets/Vuforia/Scripts/DefaultModelRecoEventHandler.cs(32,15): error CS0246: The type or namespace name `ModelRecoBehaviour' could not be found. Are you missing an assembly reference?
    4. Assets/Vuforia/Scripts/DefaultModelRecoEventHandler.cs(266,71): error CS0426: The nested type `ModelRecoSearchResult' does not exist in the type `Vuforia.TargetFinder'
    5.  
    6.  
     
  47. AdamBL

    AdamBL

    Joined:
    Oct 27, 2016
    Posts:
    29
    And 2018.3.2. I try to download and install the latest version of the Vuforia plugin but it gives me an error every time. Any thoughts?

    EDIT:

    I found a solution that worked for me, wanted to share it with you all as well (note, I think this is a Mac-specific solution). For whatever reason, the Vuforia plugin installer depends on there being a folder called /Applications/Unity where the Unity executable resides. The way Unity works now is it nests the executable in a version number folder, i.e. /Applications/Unity/2017.3.2f1. The solution is:

    1. Rename the Unity folder to something like "Unity-temp"
    2. Take the folder that actually contains the Unity executable (i.e. 2017.3.2f1) and move it up a level to the Applications folder (so it'll be /Applications/2017.3.2f1).
    3. Rename the 2017.3.2f1 folder to Unity (so now you'll have two folders: Unity-temp (originally the "Unity" folder) and Unity (originally the "2017.3.2f1" folder).
    4. Run the package installer again, and this time it should work
    5. Re-nest the "Unity" folder inside the "Unity-temp" folder and rename it back to "2017.3.2f1". Then rename "Unity-temp" back to "Unity"
    6. Everything should work!
     
    Last edited: Feb 12, 2019